![QUIQQER CSRF](bin/images/Readme.png)

QUIQQER CSRF
========

The QUIQQER CSRF module secures your QUIQQER application against Cross-Site Request Forgery (CSRF) attacks.

This module automatically adds CSRF protection to your forms and API requests, ensuring that malicious requests cannot be sent on behalf of your users. The CSRF module is a vital security component for any QUIQQER-based system.

Package name:

    quiqqer/csrf

Features of the CSRF module:
------

- Automatic CSRF token generation for forms and AJAX requests
- Secure verification of CSRF tokens with each request
- Seamless integration with QUIQQER's routing and form handling systems
- Developer-friendly API for customizing CSRF behavior
- Compatible with all QUIQQER modules and extensions

How it works:
------

- QUIQQER CSRF generates a unique token for each user session.
- Tokens are embedded in forms or sent as headers for API requests.
- On each form submission or API call, the token is verified to ensure the request is legitimate.

Contribution
----------

- Issue Tracker: https://dev.quiqqer.com/quiqqer/csrf/issues
- Source Code: https://dev.quiqqer.com/quiqqer/csrf/tree/main
- Wiki: https://dev.quiqqer.com/quiqqer/csrf/-/wikis/home

Support
-------

If you have found an error or want improvements, please send an e-mail to support@pcsg.de.

LICENCE
-------

- GPL-3.0+
- PCSG QEL-1.0
